## pyx3 0.13

=== debian/changelog ===
pyx3 (0.13-1) unstable; urgency=medium

  * New upstream version compatible with python 3.
    Previous release maintained as a seprate source package to provide
    compatibility with python 2.

 -- Stuart Prescott <stuart@debian.org>  Wed, 19 Feb 2014 23:08:44 +1100

pyx (0.12.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 19 May 2013 16:50:09 +1000

pyx (0.12.1-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address.
  * Update copyright format URL.
  * Bump standards version to 3.9.4 (no changes required).
  * Drop postinst that was needed for lenny->squeeze upgrades.

 -- Stuart Prescott <stuart@debian.org>  Mon, 17 Dec 2012 13:45:12 +0000

pyx (0.11.1-2) unstable; urgency=low

  * Add texlive-latex-base to Build-Depends to correctly rebuild lfs files if
    only binary packages are being built (LP: #896924).
  * Use the sphinx debhelper module to check over the sphinx documentation.
  * Build-depend on debhelper >= 8.9.5 to stop dh_compress compressing sphinx
    files.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 27 Nov 2011 21:09:42 +0000

pyx (0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Change documentation build system to sphinx in line with new upstream docs.
  * Rebuild lfs files as part of build process.
  * Refresh patchs for new version:
    - drop manual-latex-define.patch no longer needed with sphinx.
    - drop siteconfig-static.patch: not needed with new build system
    - drop pyx-text-warnings26.patch: warnings fixed upstream
  * Add patch sphinx-mathjax.patch to use pngmath in sphinx rather than mathjax
    which is not yet in Debian.
  * Add patch createlfs-no-foiltex.patch to skip generation of foiltex-based
    lfs files that would require non-free components.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch from python-support to dh_python2 as build helper.
  * Update copyright format to newer DEP-5 specification.
  * Add new files to copyright file.
  * Bump standards version to 3.9.2 (no changes required).
  * Set DM-Upload-Allowed: yes

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 20 May 2011 00:13:52 +0100

pyx (0.10-2) unstable; urgency=low

  * Build-depend on new python-old-doctools package that provides tools
    no longer in python 2.6 (closes: #568046).
  * Bump standards version to 3.8.4 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 10 Feb 2010 16:06:53 +0000

pyx (0.10-1) unstable; urgency=low

  * New maintainer (closes: #552750).
  * Revert unneeded versioned build-dependency on python-all-dev.
  * Add a preinst script to clean up after python-central (working around
    bug #479852 in python-central) (closes: #553271).
  * Convert packaging to quilt.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Thu, 29 Oct 2009 23:47:39 +0000

pyx (0.10-0+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:21:33 -0500

pyx (0.10-0+nmu2) unstable; urgency=low

  * Non-maintainer upload
  * Fix build system for compatibility with Python 2.6 (closes: #547872)
    - change debhelper compat level to dh7.
    - remove unneeded sections of debian/rules.
    - remove versioned depends/conflicts/replaces for packages that haven't
      existed since Sarge.
  * Silence DeprecationWarning output from Python 2.6.
  * Move doc package to doc section.
  * Add doc-base entries for documentation.
  * Bump standards version to 3.8.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 30 Sep 2009 01:09:13 +0100

pyx (0.10-0+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (closes: #454765)
  * Update build-deps to use texlive rather than tetex
  * Update depends to use texlive rather than tetex (closes: #467207)
  * Recommend a smaller latex package to reduce the installation size.
    texlive-latex-base seems to be the smallest package that allows at least
    the (trivial) examples to be built (closes: #503577)
  * Fix copyright file to include names and years of upstream authors

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 15 May 2009 00:23:04 +0100

pyx (0.9-4) unstable; urgency=low

  * New maintainer (closes: #408140).

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Mon, 29 Jan 2007 21:22:39 -0400

pyx (0.9-3) unstable; urgency=low

  * New maintainer. Thank you for more than three years of
    maintenance,  Graham! Closes: #400087
  * Don't hard-code python 2.3 in manual/Makefile.
    Thanks to Matthias Klose for the bug report and patch.
    Closes: #392634
  * Remove obsolete dh_python call from debian/rules.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 26 Nov 2006 14:04:53 +0100

pyx (0.9-2) unstable; urgency=low

  * Support the new Python policy. (closes: #373372)

 -- Graham Wilson <graham@debian.org>  Thu, 15 Jun 2006 05:53:37 +0000

pyx (0.9-1) unstable; urgency=low

  * New upstream release.
  * Umm... don't build-depend libkpathsea4-dev.
  * Move examples to -doc package, since their number seems to be
    growing; they also seem more appropriate in that package.
  * Update standards version; no changes.

  * test script changes:
    - test files in the gallery directory as well
    - make the output less verbose

 -- Graham Wilson <graham@debian.org>  Sun, 11 Jun 2006 05:04:08 +0000

pyx (0.8.1-2) unstable; urgency=low

  * Rebuild against libkpathsea4.
  * Output number of tests that were run.
  * Use a variable for the python executable in rules, to make it easier
    to build for a different Python version.

 -- Graham Wilson <graham@debian.org>  Tue, 28 Feb 2006 08:46:25 +0000

pyx (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - don't try to build the examples.pdf file anymore
    - update siteconfig.py to reflect new variable names
 

