## pyx3 0.14

=== debian/changelog ===
pyx3 (0.14-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:16:40 +0000

pyx3 (0.14-1) unstable; urgency=medium

  * New upstream release.
    - revert upstream change to sphinx conf.py to permit building with older
      python3-sphinx.
  * Bump standards version to 3.9.6 (no changes required).
  * Add SVG and PDF to package descriptions.

 -- Stuart Prescott <stuart@debian.org>  Fri, 08 May 2015 00:00:33 +1000
