=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pyx3
-Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stuart Prescott <stuart@debian.org>
+Standards-Version: 3.9.6
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9~),
@@ -29,8 +30,8 @@
           texlive-fonts-recommended
 Provides: ${python3:Provides}
 Description: Python 3 module for generating PostScript graphics
- PyX is a Python 3 module for generating encapsulated PostScript figures using
- an abstraction of PostScript and TeX.
+ PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
+ figures using an abstraction of PostScript and TeX.
  .
  The module provides access to PostScript features such as paths,
  line-styles, fill patterns, transformations, and clipping. Geometric
@@ -51,7 +52,7 @@
         ${sphinxdoc:Depends}
 Recommends: pdf-viewer
 Description: Python 3 module for generating PostScript graphics (documentation)
- PyX is a Python 3 module for generating encapsulated PostScript figures using
- an abstraction of PostScript and TeX.
+ PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
+ figures using an abstraction of PostScript and TeX.
  .
  This package contains the manual for PyX in PDF and HTML formats and examples.
