## pyx3 0.14.1

=== debian/changelog ===
pyx3 (0.14.1-8) unstable; urgency=medium

  * Fix Sphinx config to handle features removed in 1.6 (Closes: #876894).
  * Fix theme for Sphinx 1.6.

 -- Stuart Prescott <stuart@debian.org>  Wed, 27 Sep 2017 10:21:56 +1000

pyx3 (0.14.1-7) unstable; urgency=medium

  * Fix removal of 'output' file from build output (Closes: #873626).

 -- Stuart Prescott <stuart@debian.org>  Wed, 30 Aug 2017 09:16:09 +1000

pyx3 (0.14.1-6) unstable; urgency=medium

  * Add build-dependency on latexmk for Sphinx 1.6 (Closes: #872244).
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Aug 2017 21:49:26 +1000

pyx3 (0.14.1-5) unstable; urgency=medium

  * Move ghostscript and python3-pil from Build-Depends-Indep to Build-Depends
    for the benefit of the test suite.

 -- Stuart Prescott <stuart@debian.org>  Tue, 23 Aug 2016 00:24:30 +1000

pyx3 (0.14.1-4) unstable; urgency=medium

  * Attempt to make package building reproducible by sorting PDF contents.
  * Use examples as a test suite once more.
  * Enable further hardening options for building extensions.

 -- Stuart Prescott <stuart@debian.org>  Mon, 22 Aug 2016 01:00:21 +1000

pyx3 (0.14.1-3) unstable; urgency=medium

  * Add build-dependency on texlive-generic-extra (Closes: #828980).

 -- Stuart Prescott <stuart@debian.org>  Tue, 12 Jul 2016 01:55:24 +1000

pyx3 (0.14.1-2) unstable; urgency=medium

  * Add patches to make build reproducible, based on work by Alexis Bienvenüe
    (via #825881).
  * Update standards version to 3.9.8 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Fri, 03 Jun 2016 23:59:51 +1000

pyx3 (0.14.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop new-sphinx.patch now applied upstream.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Nov 2015 00:21:20 +1100

pyx3 (0.14-3) unstable; urgency=medium

  * Correct dependencies in debian/rules to build correctly on arch:all
    buildd.

 -- Stuart Prescott <stuart@debian.org>  Thu, 22 Oct 2015 23:14:26 +1100

pyx3 (0.14-2) unstable; urgency=medium

  * Cherry-pick patch from upstream to remove monkey-patching of sphinx
    structures when generating the manual (Closes: #802525)

 -- Stuart Prescott <stuart@debian.org>  Wed, 21 Oct 2015 13:36:26 +1100
