=== debian/control ===
Source: pyx3
Maintainer: Stuart Prescott <stuart@debian.org>
Standards-Version: 4.1.0
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 ghostscript,
 graphicsmagick-imagemagick-compat | imagemagick,
 libkpathsea-dev,
 python3,
 python3-all-dev,
 python3-pil,
 texlive-fonts-recommended,
 texlive-latex-base
Build-Depends-Indep:
 latexmk,
 libjs-mathjax,
 python3-sphinx (>= 1.3~),
 texlive-generic-extra,
 texlive-latex-extra,
 texlive-latex-recommended,
 tipa
Homepage: http://pyx.sourceforge.net/

Package: python3-pyx
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 texlive-latex-base
Suggests:
 python3-pil,
 python3-pyx-doc,
 texlive-fonts-recommended
Provides:
 ${python3:Provides}
Description: Python 3 module for generating PostScript graphics
 PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
 figures using an abstraction of PostScript and TeX.
 .
 The module provides access to PostScript features such as paths,
 line-styles, fill patterns, transformations, and clipping. Geometric
 operations on paths such as intersections, transformations, and splitting
 are also supported.
 .
 PyX also allows flexible graph generation with many different graph and
 axis styles.
 .
 Use the python-pyx package for a version of PyX compatible with Python 2.

Package: python3-pyx-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 pdf-viewer
Description: Python 3 module for generating PostScript graphics (documentation)
 PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
 figures using an abstraction of PostScript and TeX.
 .
 This package contains the manual for PyX in PDF and HTML formats and examples.
