=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,16 @@
 #!/usr/bin/make -f
+
+# Enable additional hardening options for the binaries but not PIE since it is
+# not wanted for shared libraries.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
-doc:
+lfs:
+	cd pyx/data/lfs; python3 createlfs.py
+
+doc: lfs
 	make -C faq all
 	make -C manual all
 
@@ -11,18 +18,20 @@
 	make -C faq clean
 	make -C manual clean
 	rm -rf manual/_build faq/_build
+	cd examples; rm -f *eps */*eps *svg */*svg *pdf */*pdf *png */*png
+	rm -f output
 	cd pyx/data/lfs; rm -f *.lfs *.aux *.log
 	dh_auto_clean
 
 override_dh_auto_build-indep: doc
 
-override_dh_auto_build-arch:
-	cd pyx/data/lfs; python3 createlfs.py
+override_dh_auto_build-arch: lfs
 	dh_auto_build
 
 override_dh_auto_install:
 	dh_auto_install
 	rm $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/pyx/data/lfs/createlfs.*
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/output
 
 override_dh_installdocs-indep:
 	mv manual/_build/html/ manual/_build/manual/
@@ -35,4 +44,14 @@
 override_dh_compress:
 	dh_compress --all -X.pdf -X.ipynb
 
-.PHONY: doc
+override_dh_auto_test-arch:
+	# Get pybuild to build the examples as a test that the build went OK
+	PYBUILD_SYSTEM=custom \
+	  PYBUILD_BEFORE_TEST="cp -r {dir}/examples {build_dir}" \
+	  PYBUILD_AFTER_TEST="rm -rf {build_dir}/examples" \
+	  PYBUILD_TEST_ARGS='cd {build_dir} && {interpreter} -u {dir}/debian/examples-testrunner' \
+	  dh_auto_test --buildsystem=pybuild
+
+override_dh_auto_test-indep:
+
+.PHONY: doc lfs
