=== debian/tests/control ===
Tests: python3-pyx-examples
Depends: python3-pyx,
  findutils,
  ghostscript,
  imagemagick,
  python3-pil,
  texlive-fonts-recommended,
  texlive-latex-base
