=== debian/changelog ===
pyx3 (0.15-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:04 +0100

pyx3 (0.15-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:28:09 +0000

pyx3 (0.15-2) unstable; urgency=medium

  * Stop build-depending on texlive-generic-extra which has vanished
    (Closes: #933585).

 -- Stuart Prescott <stuart@debian.org>  Thu, 08 Aug 2019 00:28:17 +1000

pyx3 (0.15-1) unstable; urgency=medium

  * New upstream release.
    - drop patches applied upstream.
    - refresh remaining patches.
    - update homepage to new site
  * Update Standards-Version to 4.4.0 (no changes required).
  * Update to debhelper compat 12.

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Jul 2019 01:20:32 +1000

pyx3 (0.14.1-9) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Stuart Prescott ]
  * Update Standards-Version to 4.3.0 (no changes required).
  * Use debhelper-compat (= 11)
  * Update location of documentation following debhelper bump.

 -- Stuart Prescott <stuart@debian.org>  Sun, 27 Jan 2019 00:36:41 +1100
