=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pyx3
 Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.4.0
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 12),
  dh-python,
  ghostscript,
  graphicsmagick-imagemagick-compat | imagemagick,
@@ -18,11 +18,12 @@
  latexmk,
  libjs-mathjax,
  python3-sphinx (>= 1.3~),
- texlive-generic-extra,
  texlive-latex-extra,
  texlive-latex-recommended,
  tipa
-Homepage: http://pyx.sourceforge.net/
+Homepage: https://pyx-project.org/
+Vcs-Browser: https://salsa.debian.org/debian/pyx3
+Vcs-Git: https://salsa.debian.org/debian/pyx3.git
 
 Package: python3-pyx
 Architecture: any
