=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-# Enable additional hardening options for the binaries but not PIE since it is
-# not wanted for shared libraries.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python3 --buildsystem pybuild
@@ -38,7 +36,7 @@
 	mv faq/_build/html/ faq/_build/faq/
 	dh_installdocs -Xobjects.inv
 	ln -sf /usr/share/javascript/mathjax/ \
-	  debian/python3-pyx-doc/usr/share/doc/python3-pyx-doc/manual/_static/mathjax
+	  debian/python3-pyx-doc/usr/share/doc/python3-pyx/manual/_static/mathjax
 	dh_sphinxdoc
 
 override_dh_compress:
