=== debian/changelog ===
pyx3 (0.16-2build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:04:08 +0000

pyx3 (0.16-2build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:10:36 +0000

pyx3 (0.16-2build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 06:42:18 +0100

pyx3 (0.16-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:47:28 +0000

pyx3 (0.16-2build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 17:06:52 +0100

pyx3 (0.16-2) unstable; urgency=medium

  * Update build-time tests to use pybuild variables for configuration.
  * Update d/watch for github.

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Oct 2023 17:14:20 +1100

pyx3 (0.16-1) unstable; urgency=medium

  * New upstream version
    - drop reproducible build patches applied upstream
    - drop texlive2020 patch cherry-picked from upstream
    - drop py_ssize_t patch cherry-picked from upstream
    - refresh other patches
    - add setuptools as a build-dependency
  * Use lintian-brush to fix:
    - update lintian-overrides format
    - update standards-version (no changes required)
    - update watch file format

 -- Stuart Prescott <stuart@debian.org>  Sat, 22 Oct 2022 13:49:47 +1100

pyx3 (0.15-7) unstable; urgency=medium

  * Only fix up interpreter lines in the arch:all builds for the doc package.

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Apr 2022 13:28:31 +1000

pyx3 (0.15-6) unstable; urgency=medium

  * Fix T1 extension compilation with Python 3.10 with thanks to Andreas
    Hasenack for the report and the patch (Closes: #1005028).
  * Add lintian overrides to silence some noise.

 -- Stuart Prescott <stuart@debian.org>  Sat, 09 Apr 2022 13:26:04 +1000

pyx3 (0.15-5) unstable; urgency=medium

  * Use lintian-brush/janitor to update packaging:
    - move from debhelper 12 to 13
    - update Standards-Version to 4.6.0 (no changes)
    - drop obsolete version constraints from build dependencies
    - apply multi-arch hints
  * Add build-dependency on tex-gyre, now needed in bookworm.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 14:03:51 +1100

pyx3 (0.15-4) unstable; urgency=medium

  * Fix horizontal font alignment issue with texlive 2020. Cherry-pick patch
    from upstream, with thanks to Andre Wobst and Joerg Lehmann
    (Closes: #992656).

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 Aug 2021 13:17:33 +1000

pyx3 (0.15-3) unstable; urgency=medium

  * Fix autopkgtest failure due to use of py3versions -i, with thanks to Scott
    Kitterman (Closes: #954482).
  * Update Standards-Version to 4.5.0 (no changes required).
  * Add "Rules-Requires-Root: no".

 -- Stuart Prescott <stuart@debian.org>  Mon, 23 Mar 2020 10:05:15 +1100
