=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pyx3
 Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  ghostscript,
  graphicsmagick-imagemagick-compat | imagemagick,
@@ -12,18 +12,21 @@
  python3,
  python3-all-dev,
  python3-pil,
+ python3-setuptools,
  texlive-fonts-recommended,
  texlive-latex-base
 Build-Depends-Indep:
  latexmk,
  libjs-mathjax,
- python3-sphinx (>= 1.3~),
+ python3-sphinx,
+ tex-gyre,
  texlive-latex-extra,
  texlive-latex-recommended,
  tipa
 Homepage: https://pyx-project.org/
 Vcs-Browser: https://salsa.debian.org/debian/pyx3
 Vcs-Git: https://salsa.debian.org/debian/pyx3.git
+Rules-Requires-Root: no
 
 Package: python3-pyx
 Architecture: any
@@ -63,6 +66,7 @@
  ${sphinxdoc:Depends}
 Recommends:
  pdf-viewer
+Multi-Arch: foreign
 Description: Python 3 module for generating PostScript graphics (documentation)
  PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
  figures using an abstraction of PostScript and TeX.
