=== debian/rules ===
--- 
+++ 
@@ -39,17 +39,24 @@
 	  debian/python3-pyx-doc/usr/share/doc/python3-pyx/manual/_static/mathjax
 	dh_sphinxdoc
 
+execute_after_dh_installexamples-indep:
+	# A handful of examples have "#!/usr/bin/env python" that needs
+	# cleaning up in the package.
+	find debian/python*doc/usr/share/doc/python3-pyx/examples/ \
+	  -name \*py \
+	  -exec grep -l -e '#!/usr/bin/env' {} + | \
+	  xargs sed -i -r 's/(#!\/usr\/bin\/env python)$$/\13/'
+
 override_dh_compress:
 	dh_compress --all -X.pdf -X.ipynb
 
-override_dh_auto_test-arch:
-	# Get pybuild to build the examples as a test that the build went OK
-	PYBUILD_SYSTEM=custom \
-	  PYBUILD_BEFORE_TEST="cp -r {dir}/examples {build_dir}" \
-	  PYBUILD_AFTER_TEST="rm -rf {build_dir}/examples" \
-	  PYBUILD_TEST_ARGS='cd {build_dir} && {interpreter} -u {dir}/debian/examples-testrunner' \
-	  dh_auto_test --buildsystem=pybuild
+# Use some examples as a test suite
+export PYBUILD_TEST_CUSTOM = 1
+export PYBUILD_BEFORE_TEST = cp -r {dir}/examples {build_dir}
+export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples
+export PYBUILD_TEST_ARGS = {interpreter} -u {dir}/debian/examples-testrunner
 
 override_dh_auto_test-indep:
+	# No tests for the doc package
 
 .PHONY: doc lfs
