=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Tests: python3-pyx-examples
-Depends: python3-pyx,
+Depends:
+  python3-all,
+  python3-pyx,
   findutils,
   ghostscript,
   imagemagick,
