=== debian/changelog ===
pyx3 (0.17-2) unstable; urgency=medium

  * Fix arch:all build.

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Nov 2025 10:48:15 +1100

pyx3 (0.17-1) unstable; urgency=medium

  * New upstream release.
    - rebase patches
    - update to new build system
    - make use of new upstream tests
  * Add new patches
    - fix SyntaxWarning in new tests
    - drop test using PFM fonts
    - use make -C in makefiles

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Nov 2025 09:30:21 +1100

pyx3 (0.16-3) unstable; urgency=medium

  [ James Lu ]
  * Remove B-D: graphicsmagick-imagemagick-compat.

  [ Stuart Prescott ]
  * Update Standards-Version to 4.7.2 (no changes required).
  * Simplify some targets in d/rules.
  * Reformat patches with gbp pq.

 -- Stuart Prescott <stuart@debian.org>  Fri, 07 Nov 2025 13:55:34 +1100
