=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: pyx3
 Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  ghostscript,
- graphicsmagick-imagemagick-compat | imagemagick,
+ imagemagick,
  libkpathsea-dev,
+ pybuild-plugin-pyproject,
  python3,
  python3-all-dev,
  python3-pil,
  python3-setuptools,
+ python3-testfixtures <!nocheck>,
  texlive-fonts-recommended,
  texlive-latex-base
 Build-Depends-Indep:
@@ -53,8 +55,6 @@
  .
  PyX also allows flexible graph generation with many different graph and
  axis styles.
- .
- Use the python-pyx package for a version of PyX compatible with Python 2.
 
 Package: python3-pyx-doc
 Architecture: all
