=== debian/tests/control ===
Tests:
 python3-pyx,
Restrictions:
 allow-stderr,
Depends:
 ghostscript,
 python3-all,
 python3-pil,
 python3-pyx,
 python3-testfixtures,
 texlive-binaries,
 texlive-fonts-recommended,
 texlive-latex-base,

Tests:
 python3-pyx-examples,
Depends:
 ghostscript,
 imagemagick,
 python3-all,
 python3-pil,
 python3-pyx,
 texlive-fonts-recommended,
 texlive-latex-base,
